AI
Prepare multi-Playbook Release (not active)
POST
/
v1
/
ai
/
agents
/
{agentID}
/
playbook-releases
Prepare multi-Playbook Release (not active)
curl --request POST \
--url https://api.wazapin.com/v1/ai/agents/{agentID}/playbook-releases \
--header 'Content-Type: application/json' \
--data '
{
"environment": "<string>",
"items": [
{
"Enabled": true,
"FallbackKind": "<string>",
"PlaybookID": "<string>",
"PlaybookVersionID": "<string>",
"Priority": 123,
"RolloutPercent": 123
}
],
"notes": "<string>"
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
environment: '<string>',
items: [
{
Enabled: true,
FallbackKind: '<string>',
PlaybookID: '<string>',
PlaybookVersionID: '<string>',
Priority: 123,
RolloutPercent: 123
}
],
notes: '<string>'
})
};
fetch('https://api.wazapin.com/v1/ai/agents/{agentID}/playbook-releases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.wazapin.com/v1/ai/agents/{agentID}/playbook-releases"
payload = {
"environment": "<string>",
"items": [
{
"Enabled": True,
"FallbackKind": "<string>",
"PlaybookID": "<string>",
"PlaybookVersionID": "<string>",
"Priority": 123,
"RolloutPercent": 123
}
],
"notes": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"agent_id": "<string>",
"created_at": "<string>",
"environment": "<string>",
"id": "<string>",
"organization_id": "<string>",
"status": "<string>",
"activated_at": "<string>",
"created_by": "<string>",
"items": [
{
"enabled": true,
"fallback_kind": "<string>",
"id": "<string>",
"playbook_id": "<string>",
"playbook_version_id": "<string>",
"priority": 123,
"release_id": "<string>",
"rollout_percent": 123
}
],
"notes": "<string>",
"previous_release_id": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}Path Parameters
Body
application/json
⌘I
Prepare multi-Playbook Release (not active)
curl --request POST \
--url https://api.wazapin.com/v1/ai/agents/{agentID}/playbook-releases \
--header 'Content-Type: application/json' \
--data '
{
"environment": "<string>",
"items": [
{
"Enabled": true,
"FallbackKind": "<string>",
"PlaybookID": "<string>",
"PlaybookVersionID": "<string>",
"Priority": 123,
"RolloutPercent": 123
}
],
"notes": "<string>"
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
environment: '<string>',
items: [
{
Enabled: true,
FallbackKind: '<string>',
PlaybookID: '<string>',
PlaybookVersionID: '<string>',
Priority: 123,
RolloutPercent: 123
}
],
notes: '<string>'
})
};
fetch('https://api.wazapin.com/v1/ai/agents/{agentID}/playbook-releases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.wazapin.com/v1/ai/agents/{agentID}/playbook-releases"
payload = {
"environment": "<string>",
"items": [
{
"Enabled": True,
"FallbackKind": "<string>",
"PlaybookID": "<string>",
"PlaybookVersionID": "<string>",
"Priority": 123,
"RolloutPercent": 123
}
],
"notes": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"agent_id": "<string>",
"created_at": "<string>",
"environment": "<string>",
"id": "<string>",
"organization_id": "<string>",
"status": "<string>",
"activated_at": "<string>",
"created_by": "<string>",
"items": [
{
"enabled": true,
"fallback_kind": "<string>",
"id": "<string>",
"playbook_id": "<string>",
"playbook_version_id": "<string>",
"priority": 123,
"release_id": "<string>",
"rollout_percent": 123
}
],
"notes": "<string>",
"previous_release_id": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}